This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881923 - initscripts: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
initscripts: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 881785
  Show dependency treegraph
 
Reported: 2012-11-29 14:14 EST by Michal Schmidt
Modified: 2014-03-16 23:32 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 00:58:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 14:14:36 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)
 /etc/sysconfig/keyboard
 /etc/sysconfig/i18n
to:
 /etc/hostname
 /etc/vconsole.conf
 /etc/locale.conf

See the tracker bug 881785 for details.

We found:
./initscripts-9.42/setsysfont uses /etc/sysconfig/i18n.

./initscripts-9.42/sysconfig.txt talking about /etc/sysconfig/network:
   HOSTNAME=<fqdn by default, but whatever hostname you want>

./initscripts-9.42/sysconfig.txt talks about /etc/sysconfig/i18n, /etc/sysconfig/keyboard. Describes /etc/sysconfig/i18n as a valid fallback for /etc/vconsole.conf, but the plan is to remove the support for it completely.

Please update the package for the new config files.
Comment 1 Lukáš Nykrýn 2012-11-30 05:16:28 EST
I think we can drop setsysfont entirely, it was used in rc.sysinit.
Comment 2 Bill Nottingham 2012-12-07 15:52:40 EST
Done in git. Currently, it still reads /etc/sysconfig/i18n if locale.conf doesn't exist at all. Should it?
Comment 3 Fedora Update System 2012-12-07 16:37:41 EST
initscripts-9.42.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/initscripts-9.42.1-1.fc18
Comment 4 Fedora Update System 2012-12-08 17:14:14 EST
Package initscripts-9.42.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing initscripts-9.42.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19994/initscripts-9.42.1-1.fc18
then log in and leave karma (feedback).
Comment 5 Michal Schmidt 2012-12-10 05:09:28 EST
(In reply to comment #2)
> Done in git. Currently, it still reads /etc/sysconfig/i18n if locale.conf
> doesn't exist at all. Should it?

I would prefer fallback paths like this to go away entirely throughout the distro.
Comment 6 Bill Nottingham 2012-12-10 11:14:43 EST
OK. Will add that change on master.
Comment 8 Fedora Update System 2012-12-11 00:58:28 EST
initscripts-9.42.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.